## gnustep-make 2.9.1

=== debian/changelog ===
gnustep-make (2.9.1-3build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:53:59 +0200

gnustep-make (2.9.1-3) unstable; urgency=medium

  * debian/patches/texinfo-7.1.patch: New; fix FTBFS with texinfo/7.1
    (Closes: #1057413).  Thanks Chris Hofstaedtler for the report.
  * debian/patches/texinfo-7.patch: Explicitly mark upstream patch as
    Forwarded: not-needed since UDD code cannot figure it out.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 05 Dec 2023 18:09:35 +0200

gnustep-make (2.9.1-2) unstable; urgency=medium

  * debian/patches/texinfo-7.patch: New; fix FTBFS with texinfo/7.0.x;
    thanks Hilmar Preuße (Closes: #1030387).
  * debian/rules: Use dh_auto_build/dh_auto_install where possible.
    (override_dh_auto_build): Enclose recipe for building documentation
    within a "nodoc" conditional.
    (override_dh_auto_install): Likewise.  Add commands for creating
    gnustep-make-doc.{install.links} in the common case (!nodoc).
  * debian/control (Build-Depends-Indep): Annotate all packages with
    <!nodoc>; all of them are only needed for building the -doc package.
    (gnustep-make-doc) <Build-Profiles>: Set to "<!nodoc>".
  * debian/clean: Add gnustep-make-doc.{install,links}.
  * debian/gnustep-make-doc.install: Rename as...
  * debian/gnustep-make-doc.install.in: ...to cater for "nodoc".
  * debian/gnustep-make-doc.links: Rename as...
  * debian/gnustep-make-doc.links.in: ...as above.
  * debian/addons/config.mk: Add support for "nodoc".
  * debian/tests/build: New test; simulate build/install/uninstall/clean
    of all core packages (tool, app, library, framework, texinfo manual).
  * debian/tests/GNUmakefile: New; common makefile for everything.
  * debian/tests/common.m: New; common code for a tool/app.
  * debian/tests/Foo.h: New; common header for library & framework.
  * debian/tests/Foo.m: Likewise, common implementation for both.
  * debian/tests/manual.texi: New; test manual.
  * debian/tests/control (Tests): Add "build".
    (Restrictions): Set to "allow-stderr".
    (Depends): Add libgnustep-gui-dev, texinfo and texlive-latex-base.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 14 Feb 2023 13:05:41 +0200

gnustep-make (2.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix-spelling-errors.patch: Delete; merged upstream.
  * debian/patches/series: Delete.
  * debian/gnustep-make.lintian-overrides: Drop context for
    old-style-config-script to placate lintian.
  * debian/copyright: Update copyright years.
  * debian/control (Standards-Version): Bump to 4.6.2; no changes needed.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 30 Dec 2022 11:51:43 +0200
