## gnustep-make 2.9.2

=== debian/changelog ===
gnustep-make (2.9.2-6) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/dh_gnustep/dh_gnustep: Update the gnustep-gui example.
  * debian/upstream/metadata: New file.
  * debian/copyright: Add Upstream-Contact.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 28 Jan 2025 05:28:55 +0200

gnustep-make (2.9.2-5) experimental; urgency=medium

  * Run wrap-and-sort -ast.
  * debian/control (Build-Depends): Replace gobjc++ with gobjc++ <!cross>
    and gobjc++-for-host <cross>.
    (gnustep-common) <Multi-Arch>: Set to allowed.
    <Provides>: Stop providing gnustep-layout-fhs.  The transition to the
    FHS layout was made more than 20 years ago and nothing really uses it.
    dh_gnustep stopped defining the ${gnustep:Depends} substvar in 2.8.0-1
    in buster (oldstable).
    <Breaks>: Add gnustep-base-common (<< 1.30.0-10) to ensure
    gnustep-make is upgraded together with gnustep-base.
    (gnustep-multiarch): New package.
    (gnustep-make) <Multi-Arch>: Set to foreign.
    <Depends>: Replace gobjc with gobjc++ | gobjc++-for-host.  While no
    Debian GNUstep package uses Objective-C++, it makes sense to depend on
    it to be in line with clang when we start using it one day.
    <Recommends>: Promote gnustep-make-doc from Suggests.
    <Provides>: Add dh-gnustep in case someone wants to build-depend on
    it.  Some other packages (apache2-dev) are doing the same.
  * debian/rules (override_dh_auto_configure):
    Pass --with-layout=debian-multiarch.  Add conditional for a cross
    build to patch config.make, restoring the generic values of the build
    tools.  While config.make is in the arch:any package gnustep-common,
    gnustep-config exposes the interface so we can't afford to have
    arch-specific variables there.
    (override_dh_auto_build-indep): Run pod2man to generate dh_gnustep's
    manpage instead of doing it manually every time there's an update.
    Pass --with-layout=debian-multiarch.
    (override_dh_auto_install-indep): Install TestFramework/README as
    README.TestFramework in the -doc package.  Delete files we already
    ship in /usr/share/doc.
    (override_dh_gencontrol-arch): New; substitute DEB_HOST_GNU_TYPE for
    gnustep-multiarch's description.
  * debian/dh_gnustep/dh_gnustep:
      + Add support for multiarch.
      + Remove redundant code for handling
        GNUSTEP_LIBRARY/Libraries/Resources; it was never executed.
      + Gently delete /usr/lib if it is found empty after move operations.
      + With --move-to, always create symlinks in the current package.  If
        that happens to be an arch:all package, delete /usr/lib.
      + Add dependency on gnustep-layout-multiarch (via the
        ${misc:Depends} substvar) if the package contains directories in
        GNUSTEP_SYSTEM_LIBRARY or GNUSTEP_SYSTEM_HEADERS.
      + Documentation improvements.
  * debian/dh_gnustep/dh_gnustep.1: Delete; now generated at build time.
  * debian/addons/config.mk: Include dpkg's buildtools.mk for cross builds.
  * debian/gnustep-common.links: Delete.
  * debian/gnustep-multiarch.links: New file.
  * debian/clean: Add dh_gnustep.1.
  * debian/patches/multiarch.patch: New; create a new layout.
  * debian/NEWS: Add new entry.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/gnustep-common.docs: Delete; contains only comments.
  * debian/gnustep-make-doc.install.in: Don't install text files; we ship
    them in /usr/share/doc.
  * debian/gnustep-make.install: Omit the TestFramework/README file;
    lintian complains about it.
  * debian/not-installed: Add TestFramework/README.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 23 Jan 2025 12:42:02 +0200

gnustep-make (2.9.2-4) unstable; urgency=medium

  * debian/dh_gnustep/dh_gnustep: Implement new options --bundle and
    --bundle-dir.
  * debian/dh_gnustep/dh_gnustep.1: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 15 Aug 2024 13:11:23 +0300

gnustep-make (2.9.2-3) unstable; urgency=medium

  * debian/dh_gnustep/dh_gnustep: Several improvements:
      + Fix .app regexp.
      + Simplify --move-to by using our own variable.
      + Use Dh_Lib functions instead of Perl builtins for better logging.
      + Check for errors from all move operations.
      + Delete empty directories.
      + Implement new option --appsupport.
  * debian/dh_gnustep/dh_gnustep.1: Regenerate.
  * debian/NEWS: Document new dh_gnustep behavior which makes at least one
    package (paje.app) FTBFS.
  * debian/patches/detect-test-failed-build.patch: New; cherry-pick an
    upstream commit which makes the testsuite exit with failure if a test
    fails to build.  This will make gnustep-base FTBFS but that is how it
    should be.
  * debian/patches/GNUstep-reset.patch: Mark as applied upstream.
  * debian/tests/adequate: New; perform adequate tests.
  * debian/tests/control: Add new test and adequate dependency.
  * debian/copyright: Add new stanzas for files under GFDL-1.1+ and FSFAP
    licenses; add the license texts.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 10 Aug 2024 12:40:27 +0300

gnustep-make (2.9.2-2) unstable; urgency=medium

  * debian/dh_gnustep/dh_gnustep: Switch to GNU coding style and implement
    the following new functionality:
      + New options --app, --game, --move-to, --no-move.
      + New default bug-script functionality for apps and new
        --bug-script option.
      + New default deletion of some build artifacts and new
        --no-cleanup option.
  * debian/dh_gnustep/dh_gnustep.1: Regenerate.
  * debian/NEWS: Document changes in dh_gnustep's default behavior.
  * debian/watch: Use HTTPS protocol.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 08 Jul 2024 00:46:36 +0300

gnustep-make (2.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/texinfo-7.patch: Delete; merged upstream.
  * debian/patches/texinfo-7.1.patch: Likewise.
  * debian/patches/GNUstep-reset.sh: New; fix FTBFS.

