=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,14 @@
 # architectures lacking the symlink.
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	    --with-layout=debian SHELLPROG=/bin/bash GNUMAKE=make
+	  --with-layout=debian-multiarch SHELLPROG=/bin/bash GNUMAKE=make
+# For cross builds, restore the generic values of the build tools.
+ifneq (,$(filter cross,$(DEB_BUILD_PROFILES)))
+	sed -i s'/[[:lower:]].\+-gcc/gcc/g' build-gnustep-make/config.make
+	sed -i s'/[[:lower:]].\+-g++/g++/g' build-gnustep-make/config.make
+	sed -i s'/[[:lower:]].\+-ar$$/ar/g' build-gnustep-make/config.make
+	sed -i s'/[[:lower:]].\+-ranlib/ranlib/g' build-gnustep-make/config.make
+endif
 
 
 # We don't have a gnustep-make installation to use, we create a temporary one
@@ -43,6 +50,7 @@
 # GNUSTEP_MAKEFILES and PATH set to point to the new makefile installation
 override_dh_auto_build-indep:
 	dh_auto_build
+	pod2man debian/dh_gnustep/dh_gnustep debian/dh_gnustep/dh_gnustep.1
 # Support "nodoc" in DEB_BUILD_PROFILES and DEB_BUILD_OPTIONS.  If
 # present in DEB_BUILD_PROFILES, the gnustep-make-doc package is not
 # built.  If present only in DEB_BUILD_OPTIONS, the gnustep-make-doc
@@ -54,7 +62,7 @@
 	  mkdir $(CURDIR)/Documentation/build-gnustep-make-doc; \
 	  cd $(CURDIR)/Documentation/build-gnustep-make-doc; \
 	  ../../configure --prefix="$(CURDIR)/Documentation/temp-installation" \
-			  --with-layout=debian; \
+			  --with-layout=debian-multiarch; \
 	  $(MAKE); \
 	  $(MAKE) install
 	$(MAKE) -C Documentation \
@@ -72,6 +80,16 @@
 	    GNUSTEP_INSTALLATION_DOMAIN=SYSTEM \
 	    PATH="$$PATH:$(CURDIR)/Documentation/temp-installation/bin" \
 	    DESTDIR=""
+# Delete files which we ship in /usr/share/doc.
+	$(RM) -r debian/tmp/usr/share/GNUstep/Documentation/Developer/Make/ReleaseNotes
+	dh_installdirs -pgnustep-make-doc usr/share/doc/gnustep-make-doc
+	cp TestFramework/README \
+	  debian/gnustep-make-doc/usr/share/doc/gnustep-make-doc/README.TestFramework
 	cp debian/gnustep-make-doc.install.in debian/gnustep-make-doc.install
 	cp debian/gnustep-make-doc.links.in debian/gnustep-make-doc.links
 endif
+
+override_dh_gencontrol-arch:
+	dh_gencontrol -pgnustep-multiarch -- \
+	  -Vlocal:DEB-HOST-GNU-TYPE=$(DEB_HOST_GNU_TYPE)
+	dh_gencontrol --remaining-packages
