## gnustep-make 2.9.3

=== debian/changelog ===
gnustep-make (2.9.3-7) unstable; urgency=medium

  * debian/gnustep-make.install: Remove CDBS stuff (Closes: #1115096).
  * debian/cdbs/gnustep.mk: Delete.
  * debian/cdbs/gnumakefile.mk: Likewise.
  * debian/cdbs/application.install.in: Likewise.
  * debian/cdbs/frameworkdev.install.in: Likewise.
  * debian/cdbs/frameworklib.install.in: Likewise.
  * debian/cdbs/lib.install.in: Likewise.
  * debian/cdbs/libdev.install.in: Likewise.
  * debian/dh_gnustep/dh_gnustep: Fix two manpage typos.
  * debian/control (Rules-Requires-Root): Remove; redundant.
    (gnustep-common) <Breaks>: Remove; obsolete.
  * debian/watch: Upgrade to version 5.
  * debian/copyright: Add new stanza for configure (FSFUL).  Replace FSF's
    postal address in the GFDL-1.1+ text with the FSF URL.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 23 Sep 2025 07:12:28 +0300

gnustep-make (2.9.3-6) unstable; urgency=medium

  * debian/patches/tmp-TEST_ALLOC-no-destroy.patch: Delete, restoring the
    proper non-buggy behavior of the TEST_ALLOC macro.
  * debian/control (Standards-Version): Bump to 4.7.2; no changes needed.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 05 Mar 2025 20:45:52 +0200

gnustep-make (2.9.3-5) unstable; urgency=medium

  * debian/patches/tmp-TEST_ALLOC-no-destroy.patch: Remove yet another
    DESTROY call.
  * debian/control (Standards-Version): Bump to 4.7.1; no changes needed.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 21 Feb 2025 17:08:16 +0200

gnustep-make (2.9.3-4) unstable; urgency=medium

  * debian/control: Revert last change as it makes the package
    uninstallable and thus every GNUstep package unbuildable.
  * debian/patches/tmp-TEST_ALLOC-no-destroy.patch: New; temporarily
    remove the problematic DESTROY call in the TEST_ALLOC macro (for
    allocated objects that are not initialized) to workaround bugs in the
    old Base/GUI releases.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 19 Feb 2025 20:18:53 +0200

gnustep-make (2.9.3-3) unstable; urgency=medium

  * debian/patches/framework-plist-reproducibility.patch: Set LC_ALL=C;
    the Salsa CI reprotest runs the second build in a French locale.
  * debian/control (gnustep-make): Break libgnustep-base-dev (<< 1.31) and
    libgnustep-gui-dev (<< 0.32).  The TEST_ALLOC macro has been fixed to
    do the right thing and destroy the object before proceeding to the
    next test.  However, this exposes deallocation bugs in some classes
    which are fixed in the latest GNUstep releases.  This change will
    effectively block gnustep-make in unstable until the forthcoming
    GNUstep transition is complete, but will tell britney not to schedule
    autopkgtests that are doomed to fail.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 19 Feb 2025 08:20:14 +0200

gnustep-make (2.9.3-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/framework-plist-reproducibility.patch: New; sort the
    object files alphabetically when extracting classes for the
    framework's .plist.  The Salsa CI reprotest fails for some packages
    (gorm.app, gworkspace, pantomime) because of this.  The problem does
    not occur on tests.reproducible-builds.org.
  * debian/control (gnustep-make): Add missing debhelper dependency.
  * debian/rules (override_dh_auto_configure): Pass LATEX2HTML=latex2html
    so that packages that provide LaTeX documentation (e.g., renaissance)
    do not have to define it.  GNUstep Make skips HTML generation if it's
    defined to the empty string.
  * debian/gnustep-make.lintian-overrides: Add new override
    binary-package-depends-on-toolchain-package Depends: debhelper.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 17 Feb 2025 16:55:16 +0200

gnustep-make (2.9.3-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/patches/GNUstep-reset.patch: Delete; fixed upstream.
  * debian/patches/detect-test-failed.patch: Likewise.
  * debian/patches/multiarch.patch: Rework the conditional in
    filesystem.make.in to match fhe final multiarch implementation:
    GNUstep.sh exports GS_MULTIARCH for performance reasons.
  * debian/patches/gnustep-tests-doc.patch: New; Debian-specific:
    zcat README.TestFramework.gz when --documentation is passed.
  * debian/gnustep-multiarch.links: Add Tools symlink.
  * debian/upstream/metadata: Add missing marker.
  * debian/copyright: Update copyright years.
  * debian/dh_gnustep/dh_gnustep:
    + Add Tools to the ARCH_INDEP_DIRS array.
    + Avoid bareword dir handles.
    + Update the lynkeos.app example.
  * debian/changelog: Typo fixes.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 13 Feb 2025 01:04:58 +0200
