=== debian/control ===
--- 
+++ 
@@ -15,8 +15,7 @@
  texinfo <!nodoc>,
  texlive-base <!nodoc>,
  texlive-latex-base <!nodoc>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-make
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-make.git
 Homepage: http://gnustep.org
@@ -26,8 +25,6 @@
 Multi-Arch: allowed
 Depends:
  ${misc:Depends},
-Breaks:
- gnustep-base-common (<< 1.30.0-10),
 Description: Common files for the core GNUstep environment
  This package contains the main GNUstep configuration file, common
  files, scripts and directory layout needed to run any GNUstep
@@ -51,6 +48,7 @@
 Multi-Arch: foreign
 Depends:
  autotools-dev,
+ debhelper,
  gnustep-common (<< ${source:Version}.1~),
  gnustep-common (>= ${source:Version}),
  gobjc++ | gobjc++-for-host,
