=== debian/tests/control ===
Tests:
 file-tests adequate build,
Restrictions:
 allow-stderr,
Depends:
 adequate,
 file,
 libgnustep-gui-dev,
 shunit2,
 texinfo,
 texlive-latex-base,
 @,
