=== debian/watch ===
Version: 5

Source: https://ftp.gnustep.org/pub/gnustep/core/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s%$%.sig%
